Upgrade SSL security at Discussion.dreamhost.com


#1

Your shared hosting get’s better than this by far by default. That makes no sense. Use your own hosting!

This server is vulnerable to the POODLE attack. If possible, disable SSL 3 to mitigate. Grade capped to C. MORE INFO »
This server supports weak Diffie-Hellman (DH) key exchange parameters. Grade capped to B. MORE INFO »
This server does not mitigate the CRIME attack. Grade capped to C.
The server supports only older protocols, but not the current best TLS 1.2. Grade capped to C. MORE INFO »
The server does not support Forward Secrecy with the reference browsers. MORE INFO »

I browse with TLS1.0/1.1 disabled so I have to go out of my way to view the site. I know that’s not common yet, but I’m guessing it won’t be long before browsers start to disable TLS1.0.

Dreamhost.com also supports weak Diffie-Hellman…